function FileData_Pairs(x)
{
x.t("fault","tolerance");
x.t("resumes","operation");
x.t("unlike","shared");
x.t("role","primary");
x.t("unshared","state");
x.t("files","limit");
x.t("files","primary");
x.t("files","administrative");
x.t("files","two");
x.t("files","unintended");
x.t("failover","fault-tolerant");
x.t("failover","state");
x.t("failover","include");
x.t("failover","process");
x.t("persistent","messages");
x.t("normal","operation");
x.t("carry","new");
x.t("fault-tolerant","servers");
x.t("fault-tolerant","operation");
x.t("fault-tolerant","configuration");
x.t("fault-tolerant","shared");
x.t("controlled","ems");
x.t("locking","prevent");
x.t("current","second");
x.t("current","primary");
x.t("current","server");
x.t("pair","fault-tolerant");
x.t("pair","servers");
x.t("support","two");
x.t("state","unshared");
x.t("state","failover");
x.t("state","controlled");
x.t("state","fault-tolerant");
x.t("state","locking");
x.t("state","pair");
x.t("state","consists");
x.t("state","during");
x.t("state","second");
x.t("state","configuration");
x.t("state","shared");
x.t("however","unlike");
x.t("becoming","new");
x.t("lock","unshared");
x.t("lock","released");
x.t("assumes","status");
x.t("assumes","responsibility");
x.t("servers","unshared");
x.t("servers","fault-tolerant");
x.t("servers","access");
x.t("servers","messages");
x.t("servers","share");
x.t("servers","primary");
x.t("servers","shared");
x.t("access","shared");
x.t("consists","information");
x.t("among","servers");
x.t("new","primary");
x.t("overwrite","shared");
x.t("status","primary");
x.t("enterprise","message");
x.t("ems","client");
x.t("ems","figure");
x.t("during","normal");
x.t("assume","responsibility");
x.t("overview","fault");
x.t("overview","arrange");
x.t("overview","tibco");
x.t("configuring","pair");
x.t("accepts","client");
x.t("fails","lock");
x.t("fails","backup");
x.t("locks","shared");
x.t("delivered","out-of-order");
x.t("operation","becoming");
x.t("operation","configuring");
x.t("operation","place");
x.t("operation","primary");
x.t("obtain","lock");
x.t("clients","deliver");
x.t("enables","backup");
x.t("old","primary");
x.t("limit","configuration");
x.t("arrange","tibco");
x.t("illustrates","unshared");
x.t("illustrates","fault-tolerant");
x.t("place","support");
x.t("second","servers");
x.t("second","server");
x.t("backup","servers");
x.t("backup","primary");
x.t("backup","server");
x.t("separately","reconfiguring");
x.t("messages","lost");
x.t("messages","primary");
x.t("messages","failure");
x.t("messages","figure");
x.t("messages","information");
x.t("cause","overwrite");
x.t("software","chapter");
x.t("chapter","fault");
x.t("share","state");
x.t("share","configuration");
x.t("duplicated","delivered");
x.t("responsibility","connections");
x.t("properly","assume");
x.t("changes","current");
x.t("changes","old");
x.t("lost","duplicated");
x.t("client","unshared");
x.t("client","connections");
x.t("primary","carry");
x.t("primary","fault-tolerant");
x.t("primary","backup");
x.t("primary","server");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("message","service");
x.t("re-reads","configuration");
x.t("configuration","files");
x.t("configuration","ems");
x.t("configuration","changes");
x.t("configuration","shared");
x.t("include","backup");
x.t("failure","current");
x.t("tolerance","fault");
x.t("tolerance","overview");
x.t("interacts","clients");
x.t("figure","current");
x.t("figure","illustrates");
x.t("figure","primary");
x.t("connections","persistent");
x.t("connections","messages");
x.t("connections","interacts");
x.t("deliver","messages");
x.t("process","figure");
x.t("administrative","changes");
x.t("information","enables");
x.t("information","client");
x.t("shared","state");
x.t("shared","among");
x.t("shared","configuration");
x.t("assuming","role");
x.t("out-of-order","across");
x.t("result","tibco");
x.t("prevent","backup");
x.t("misconfiguration","result");
x.t("two","servers");
x.t("reconfiguring","backup");
x.t("service","servers");
x.t("unintended","misconfiguration");
x.t("across","failover");
x.t("released","backup");
x.t("server","resumes");
x.t("server","however");
x.t("server","assumes");
x.t("server","accepts");
x.t("server","fails");
x.t("server","locks");
x.t("server","obtain");
x.t("server","backup");
x.t("server","separately");
x.t("server","cause");
x.t("server","properly");
x.t("server","primary");
x.t("server","re-reads");
x.t("server","assuming");
}
